body * {
    margin: 0;
    padding: 0;
    font-family: 'Ubuntu', sans-serif;
}

.bg-image {
    width: 100%;
    height: 100vh;
    background-image: url("../img/background.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}

a {
    text-decoration: none;
}


button,
button:active,
button:focus {
    outline: none;
    cursor: pointer;
}

input,
input:active,
input:focus {
    outline: none;
    border: none;
}

.container {
    width: calc(100% - 120px);
    margin: 0 auto;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(0, 0, 0, 0.4);
    margin-bottom: 50px;
}

.heading {
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 80px;
    font-weight: bold;
    font-size: 22px;
    line-height: 22px;
    color: #FFFFFF;
}

.heading-img {
    display: flex;
    align-items: center;
    align-content: center;
    padding-right: 80px;
}

.heading-img > p {
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #ffffff;
}

.head-link {
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #ffffff;
}
.head-img {
    margin: 0 20px;
    background: rgba(0, 0, 0, 0);
    width: 24px;
    height: 24px;
}

.head-title {
    position: relative;
    margin-left: 50px;
}

.head-title::before {
    content: "";
    position: absolute;
    left: -35px;
    right: 0;
    background: rgba(255, 255, 255, 0.9);
    mix-blend-mode: normal;
    opacity: 0.5;
    width: 1px;
    height: 19px;
}

.sing-up {
    width: 444px;
    max-height: calc(100vh - 61px);
    background-color: #fff;
    display: flex;
    flex-direction: column;

}
.main{
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    height: calc(100% - 130px);
}
.sing-up-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 0 15px;
}

.sing-up-heading {
    font-size: 20px;
    line-height: 20px;
    color: #434343;
    position: relative;
}

.sing-up-heading::before {
    content: "";
    width: 18px;
    height: 18px;
    right: 109px;
    background: #3CB878;
    position: absolute;
    bottom: 0;
}

.sing-up-link {
    font-size: 14px;
    line-height: 14px;
    color: #3CB878;
}

.button-box {
    display: flex;
    justify-content: space-between;
}

.sing-up-button {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 160px;
    height: 48px;
    border-radius: 2px;
}

.facebook {
    background: #305DB8;
    border-color: #305DB8;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: #FFFFFF;
    position: relative;
}

.facebook::before {
    content: "";
    position: absolute;
    left: 50px;
    width: 1px;
    height: 28px;
    background: #0A162F;
    mix-blend-mode: normal;
    opacity: 0.2;
}

.google {
    background: #DF4A32;
    border-color: #DF4A32;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: #FFFFFF;
    position: relative;
}

.google::before {
    content: "";
    position: absolute;
    left: 60px;
    width: 1px;
    height: 28px;
    background: #2B0D09;
    mix-blend-mode: normal;
    opacity: 0.2;
}

.border-title {
    margin-top: 30px;
    margin-bottom: 10px;
    text-align: center;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #848484;
    position: relative;
}

.border-title::after {
    content: "";
    position: absolute;
    width: 150px;
    height: 1px;
    background: #F2F2F2;
    top: 7px;
    left: 60px;

}

.border-title::before {
    content: "";
    position: absolute;
    top: 7px;
    right: 60px;
    width: 150px;
    height: 1px;
    background: #F2F2F2;
}

.sing-up-form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.form-field {
    border-radius: 2px;
    border-color: #F2F2F2;
}

.form-field:focus {
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
    border-radius: 2px;
}

.form-field {
    width: 100%;
    padding: 10px 0;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
}

.form-field::placeholder {
    padding: 20px;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #BEBEBE;
}

.check-elem {
    display: flex;
    align-items: center;
    font-weight: normal;
}

.checkbox-title {
    font-size: 14px;
    line-height: 14px;
    color: #000;
}

.check-field {
    z-index: -1;
    opacity: 0;
}

.check-field + label {
    display: inline-flex;
    align-items: center;
    user-select: none;
}

.check-field + ::before {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    flex-shrink: 0;
    flex-grow: 0;
    border: 1px solid #F2F2F2;
    margin-right: 10px;
    margin-left: -12px;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 50% 50%;
    left: 0;
    top: 3px;
}

.check-field + ::after {
    position: absolute;
    content: "";
    width: 13px;
    height: 7px;
    border-left: 3px solid #3CB878;;
    border-bottom: 3px solid #3CB878;;
    transform: rotate(-45deg);
    left: -8.5px;
    top: 4px;
    opacity: 0;
    transition: 0.3s;
}

.check-field:checked + ::after {
    opacity: 1;
    cursor: pointer;
}

.checkbox-title {
    position: relative;
    cursor: pointer;
}

.check-link {
    color: #3CB878;
    padding-left: 4px;
}

.confirm-but {
    background: #3CB878;
    border-color: #3CB878;
    height: 46px;
    border-radius: 4px;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: #FFFFFF;
    margin-bottom: 50px;
}

.heading:hover {
    color: #286744;
}

.head-img:hover path {
    fill: #286744;
}

.head-link:hover {
    color: #286744;
}

.confirm-but:hover {
    background: #01813f;
    border-color: #01813f;
}

.sing-up-link:hover {
    color: #01813f;
    text-decoration: underline;
}

.facebook:hover {
    background: #022263;
    border-color: #022263;
}

.google:hover {
    background: #AB1F09;
    border-color: #AB1F09;
}

.check-link:hover {
    color: #01813f;
    text-decoration: underline;
}

:hover {
    transition: 0.4s;
}

